package de.intevation.flys.client.client.ui;

import com.smartgwt.client.widgets.Button;
import com.smartgwt.client.widgets.events.ClickEvent;
import com.smartgwt.client.widgets.events.ClickHandler;
import com.smartgwt.client.widgets.events.CloseClickHandler;
import com.smartgwt.client.widgets.events.CloseClickEvent;

import de.intevation.flys.client.shared.model.Artifact;
import de.intevation.flys.client.shared.model.User;

/** Button that opens view of datacage (DataCageWindow). */
public class DatacageButton extends Button implements ClickHandler {

    protected Artifact artifact;
    protected User     user;
    protected CollectionView view;

    public DatacageButton(
        String         title,
        Artifact       artifact,
        User           user,
        CollectionView view
    ) {
        super(title);

        this.artifact = artifact;
        this.user     = user;
        this.view     = view;

        addClickHandler(this);
    }


    public void onClick(ClickEvent event) {
        // TODO: fetch outs!
        String outs = "";

        final DatacageWindow dc = new DatacageWindow(
            artifact, user, outs, view);
        dc.addCloseClickHandler(new CloseClickHandler() {
            public void onCloseClick(CloseClickEvent event) {
                dc.destroy();
            }
        });
        dc.show();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
